Subject: [xmpp] [Editorial Errata Reported] RFC6120 (3486)

From: RFC Errata System <[email-masked]>
Date: Mon, 18 Feb 2013 06:43:44 -0800 (PST)

The following errata report has been submitted for RFC6120,
"Extensible Messaging and Presence Protocol (XMPP): Core".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6120&eid=3486

--------------------------------------
Type: Editorial
Reported by: Marco Cirillo <[email-masked]>

Section: 5.4.1

Original Text
-------------
The receiving entity then MUST send stream features to the initiating entity.  If the receiving entity supports TLS, the stream features MUST include an advertisement for support of STARTTLS negotiation, i.e., a <starttls/> element qualified by the 'urn:ietf:params:xml:ns:xmpp-tls' namespace.

Corrected Text
--------------
The receiving entity then MUST send stream features to the initiating entity.  If the receiving entity offers TLS capability, the stream features MUST include an advertisement for support of STARTTLS negotiation, i.e., a <starttls/> element qualified by the 'urn:ietf:params:xml:ns:xmpp-tls' namespace.

Notes
-----
Current text mixes up actual support of STARTTLS/TLS (which is mandated by section 5.2) with deployment/availableness of the said.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6120 (draft-ietf-xmpp-3920bis-22)
--------------------------------------
Title               : Extensible Messaging and Presence Protocol (XMPP): Core
Publication Date    : March 2011
Author(s)           : P. Saint-Andre
Category            : PROPOSED STANDARD
Source              : Extensible Messaging and Presence Protocol
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG